/** Action object interface */
interface Action {
  /** Action ID */
  id: number;
  /** Admin who initialized the action. */
  user: string;
  /** Admin's role in the system */
  role: string;
  /** Action performed */
  action: string;
  /** Action approval status. */
  approval: boolean;
}

/** Area name object interface */
interface AreaName {
  /** Name of area */
  name: string;
  /** Locations that map to that area name. */
  locations: Array<string>;
}

/** Area type object interface */
interface AreaType {
  /** Type of area */
  name: string;
  /** Areas that map to that area type. */
  area: Array<string>;
}

/** Category object interface */
interface Category {
  /** Business category */
  name: string;
  /** Products that map to that category. */
  products: Array<string>;
}

/** @exports */
export { Action, AreaName, AreaType, Category };
