/** Settings class */
class Settings {
  /** Web3 Object */
  w3: W3 = {
    engine: undefined,
    provider: undefined,
  };
  /** A resource for searching through blocks on the blockchain network. */
  scanFilter: any;
  /** CIC Registry instance */
  registry: any;
  /** Transaction Helper instance */
  txHelper: any;

  /**
   * Initialize the settings.
   *
   * @param scanFilter - A resource for searching through blocks on the blockchain network.
   */
  constructor(scanFilter: any) {
    this.scanFilter = scanFilter;
  }
}

/** Web3 object interface */
interface W3 {
  /** An active web3 instance connected to the blockchain network. */
  engine: any;
  /** The connection socket to the blockchain network. */
  provider: any;
}

/** @exports */
export { Settings, W3 };
