/** Token object interface */
interface Token {
  /** Name of the token. */
  name: string;
  /** The unique token symbol. */
  symbol: string;
  /** Address of the deployed token contract. */
  address: string;
  /** Total token supply. */
  supply: string;
  /** Number of decimals to convert to smallest denomination of the token. */
  decimals: string;
  /** Token reserve information */
  reserves: {
    '0xa686005CE37Dce7738436256982C3903f2E4ea8E'?: {
      weight: string;
      balance: string;
    };
  };
  /** Token reserve to token minting ratio. */
  reserveRatio?: string;
  /** Address of account that deployed token. */
  owner?: string;
}

/** @exports */
export { Token };
